from django.urls import path
from . import views

app_name = 'butler' 

urlpatterns = [
    # path('', views.hello_view, name='landing'),  # 루트 경로에서 hello_view 호출
    # Landing Page
    path('', views.LandingPageView.as_view(), name='landing'),  # 클래스 기반 뷰(CBV) 호출
    
    # path('notice', views.notice_list, name='notice_list'),
    # path('create_notice/', views.create_notice, name='create_notice'),        # 포스트 작성
    # path('notice/<int:pk>/', views.notice_detail_view, name='notice_detail'),
    path('ip_mgmt', views.ip_mgmt_view, name='ip_mgmt'),
    path('ip-mgmt/add/', views.add_ip_record, name='ip_mgmt_add'),  # 데이터 추가 경로
    path('ip-mgmt/delete/', views.delete_ip_records, name='ip_mgmt_delete'),  # 삭제 URL 추가
    path('ip-mgmt/edit/<int:pk>/', views.edit_ip_record, name='ip_mgmt_edit'),  # 수정 URL 추가
    path('privacy/', views.privacy_view, name='privacy'),
    # path('test/', views.test_view, name='test'),
]
